Last updated by colum in issue list

2010-09-12 19:53 - Alexander F

Status: Closed Start date: 2010-09-12

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Hi,

I think that it will very beneficial if there was an "Last updated by" column in the issue list, so that way users will be able to tell if the

issue was updated or not without entering their mailbox.

Related issues:

Related to Redmine - Feature #17720: Filter issues by "Updated by" and "Last ... Closed

Has duplicate Redmine - Feature #9127: Allow "Updated By" as a column in the ... Closed 2011-08-25

Has duplicate Redmine - Feature #9550: Include Updated By and Update Date Tim... Closed 2011-11-11

Has duplicate Redmine - Feature #7660: Add the possibility to view the last u... Closed 2011-02-19

Has duplicate Redmine - Feature #22279: Need to get the last user who uptated... Closed

Has duplicate Redmine - Feature #11919: Issues list needs some kind of "last-... Closed

Has duplicate Redmine - Feature #5294: Add a "last comment by" column to the ... Closed 2010-04-12

Has duplicate Redmine - Feature #5791: Set latest journal(log) id when an iss... Closed 2010-07-01

Associated revisions

Revision 16366 - 2017-03-05 08:42 - Jean-Philippe Lang

Last updated by colum in issue list (#6375).

Revision 16376 - 2017-03-05 12:05 - Jean-Philippe Lang

Fix loading of last visible journal (#1474, #6375).

Revision 16377 - 2017-03-05 16:16 - Jean-Philippe Lang

Preload journal's user (#6375).

History

#1 - 2010-09-12 19:56 - Alexander F

Just a small correction - last updated by and not just "updated by".

Thanks.

#2 - 2010-09-16 02:45 - Mischa The Evil

- Subject changed from Updated by colum in issue list to Last updated by colum in issue list

Alexander F wrote:

Just a small correction - last updated by and not just "updated by".

 I've modified the issue-properties to match the precise request.

#3 - 2011-11-18 11:40 - Victor Sheldeshov

Does anybody a patch or any workaround?

#4 - 2011-11-18 11:41 - Victor Sheldeshov

(Sorry!) "*Have* anybody..."
#5 - 2012-02-29 12:33 - pasquale [:dedalus]

+1

#6 - 2012-04-26 15:22 - Anonymous

+1

#7 - 2012-10-06 10:48 - Vadim K

+1

#8 - 2012-10-29 20:37 - Brandon Bonds

+1

#9 - 2013-04-02 22:57 - A. G.

In case if anyone still interested: last_updated_by_column plugin adds "Last Updated by" column to:

Issues list (as extra column)

My page (as a separate component)

#10 - 2013-07-14 01:15 - Mike M Pestorich

+1

The plugin above only partially works with Redmine 2.3.1.

1) The last updated by issues block when added "My Page" displays correctly but right clicking on an issue in it doesn't work.

2) On the main "/issues" page a "Last Updated By" column isn't availble as an option in "Available Columns" such that it could be moved into

"Selected Columns" so that it would be displayed.

#11 - 2013-07-15 13:26 - A. G.

Turns out Redmine 2.3.0 introduced changes that broke "Updated By" on ./issues page.

The updated version of the plugin takes that into account.

#12 - 2015-05-11 09:07 - M. B.

+1

Would be nice to have that in Redmine and not just as a plugin

#13 - 2015-11-06 09:04 - zar zar

+1

This will be a very usefull feature. I hope it will be added soon!!!

Thanks

#14 - 2015-11-11 10:37 - Sunny Arge

We want to see lastly our edited issues (last updated by) and we can inform people if the issue stays on them so much time etc.

Thank you.

#15 - 2016-03-14 12:58 - Florian Gruber

+1

definitly more than eye candy

#16 - 2016-03-17 22:46 - Go MAEDA

- Has duplicate Feature #22279: Need to get the last user who uptated an issue added

#17 - 2016-03-17 22:48 - Go MAEDA

- Related to Feature #17720: Filter issues by "Updated by" and "Last updated by" added

#18 - 2016-07-08 12:31 - Anonymous

+1

#19 - 2016-08-02 16:45 - Joris Hartog
+1

For the people that want this as a plugin, this one works for me:

https://github.com/neowit/redmine_last_updated_by_column.git

#20 - 2016-08-04 12:50 - Marius BĂLTEANU

- File add_column_last_updated_by.patch added

I made a patch (with tests) that implements the "Last updated by" as column in issues list. This patch should be applied after the patch from #17720

because it uses the same local as filter "Last updated by".

The patch has one limitation: sorting issues after "Last updated by" column is disabled because I wasn't able to add the sorting query to take into

account the "Users display format" setting (in the plugin mentioned above, the user format for this column is hard-coded). Maybe a Redmine

contributor can solve this limitation, but in my opinion the patch is useful also with this limitation.

#21 - 2016-08-04 12:55 - Marius BĂLTEANU

- File add_column_last_updated_by_v2.patch added

Added a new version (add_column_last_updated_by_v2.patch) that does not contain a unnecessary change presented in the first patch.

#22 - 2016-12-24 09:09 - Go MAEDA

- Has duplicate Feature #11919: Issues list needs some kind of "last-modified-by" mark. added

#23 - 2017-01-17 05:41 - Go MAEDA

- Has duplicate Feature #5294: Add a "last comment by" column to the issues list added

#24 - 2017-01-22 12:48 - Marius BĂLTEANU

- File 6375_add_last_updated_by_column_r16248.patch added

I've uploaded a new version of the patch:

- it cleanly apply on the current trunk

- it checks for journal visibility

- fixes the limitation from the previous version of the patch (sorting by "Last updated by" column works now).

Unfortunately, I didn't do any performance test.

I think that it'll be great to deliver this issue along with #17720 and #1474 (there are at least 5 duplicate issues).

#25 - 2017-01-22 13:11 - Go MAEDA

Marius, thank you for updating the patch. I hope that this feature will be included in 3.4.0

But a test fails in my environment. Could you check the problem?

$ ruby test/unit/query_test.rb

(snip)

  1) Failure:

QueryTest#test_query_with_last_updated_by_column [test/unit/query_test.rb:1301]:

--- expected

+++ actual

@@ -1 +1 @@

-["User", "String", "String", "User", "String", "String", "String"]

+["User", "User", "String", "String", "String", "String", "String"]

186 runs, 527 assertions, 1 failures, 0 errors, 0 skips

 My environment is as follows:

Environment:

  Redmine version                3.3.2.devel.16248

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-darwin15]

  Rails version                  4.2.7.1

  Environment                    development

  Database adapter               SQLite

#26 - 2017-01-22 14:23 - Marius BĂLTEANU

- File 6375_add_last_updated_by_column_r16248_v2.patch added
Thanks Go MAEDA for testing the patch. I've attached the fixed version. The problem was generated by the data fixtures (journals weren't loaded by

query_test.rb).

Jean-Phillipe Lang, I saw in r16228 that you preferred to generate the test data directly in the tests. It is better than using the existing fixtures?

#27 - 2017-01-26 04:41 - Go MAEDA

Thank you for the patch on #6375#note-26 but it still fails.

$ ruby test/unit/query_test.rb

(snip)

  1) Failure:

QueryTest#test_query_with_last_updated_by_column [test/unit/query_test.rb:1301]:

--- expected

+++ actual

@@ -1 +1 @@

-["User", "String", "String", "User", "String", "String", "String"]

+["User", "User", "String", "String", "String", "String", "String"]

186 runs, 527 assertions, 1 failures, 0 errors, 0 skips

#28 - 2017-01-26 11:04 - Marius BĂLTEANU

- File 6375_add_last_updated_by_column_r16248_v3.patch added

Thanks again for testing the patch. Something is wrong with my development instance.

I've attached a new version which passed the tests on both mysql and sqlite3 databases.

notroot@b8ae13776d3c:/work$ RAILS_ENV=test rake db:drop db:create && ruby test/unit/query_test.rb

/usr/local/bundle/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: duplicated key a

t line 466 ignored: "inodot" 

/usr/local/bundle/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: duplicated key a

t line 466 ignored: "inodot" 

/usr/local/bundle/gems/htmlentities-4.3.1/lib/htmlentities/mappings/expanded.rb:465: warning: duplicated key a

t line 466 ignored: "inodot" 

Run options: --seed 496

# Running:

..............................................................................................................

............................................................................

Finished in 18.171939s, 10.2356 runs/s, 29.0008 assertions/s.

186 runs, 527 assertions, 0 failures, 0 errors, 0 skips

#29 - 2017-01-29 15:29 - Go MAEDA

- File 6375-screenshot.png added

- Target version set to 3.4.0

Thanks to Marius, the patch works fine as expected and passed all tests.

Ideally this feature whould be included in 3.4.0 along with #17720.
#30 - 2017-03-05 08:46 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Feature is added, thanks for the patch Marius. I've reworked the proposed changes a bit:

- Issue#last_updated_by returns nil instead of an empty string when there's no updates

- Issue.load_visible_last_updated_by loads only the last journals instead of loading all of them

- More robust unit test (I had random test failure)

- Functional tests

#31 - 2017-04-02 07:08 - Go MAEDA

- Category changed from Issues to Issues list

#32 - 2017-06-27 13:51 - Shreyas Moolya

- File paint.png added

For the people that want this as a plugin, this one works for me:

https://github.com/neowit/redmine_last_updated_by_column.git

 In my case it didn't work.

'My Page' gives error

#33 - 2017-07-14 04:52 - Go MAEDA

- Has duplicate Feature #5791: Set latest journal(log) id when an issue updated (in a issues table) added

Files

add_column_last_updated_by.patch 3.42 KB 2016-08-04 Marius BĂLTEANU

add_column_last_updated_by_v2.patch 5.04 KB 2016-08-04 Marius BĂLTEANU
6375_add_last_updated_by_column_r16248.patch 6.85 KB 2017-01-22 Marius BĂLTEANU

6375_add_last_updated_by_column_r16248_v2.patch 7.09 KB 2017-01-22 Marius BĂLTEANU

6375_add_last_updated_by_column_r16248_v3.patch 7.02 KB 2017-01-26 Marius BĂLTEANU

6375-screenshot.png 79.2 KB 2017-01-29 Go MAEDA

paint.png 13.4 KB 2017-06-27 Shreyas Moolya
